<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/config:1.0"
                  elementFormDefault="qualified"
                  xmlns="http://www.h3c.com/netconf/config:1.0"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0"
                  xmlns:netconf ="urn:ietf:params:xml:ns:netconf:base:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>
  <xs:import schemaLocation="netconf.xsd" namespace="urn:ietf:params:xml:ns:netconf:base:1.0"></xs:import>

  <xs:annotation>
    <xs:documentation>LR config define</xs:documentation>
  </xs:annotation>

  <xs:complexType name="Lr_Direction">
    <xs:simpleContent >
      <xs:restriction base="base:UnsignedInteger32">
        <xs:annotation>
          <xs:documentation>Enumeration: 0(inbound) 1(outbound)</xs:documentation>
        </xs:annotation>
        <xs:enumeration value="0" />
        <xs:enumeration value="1" />
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  
  <xs:complexType name="Lr_TokenPare">
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:minInclusive value ="0"></xs:minInclusive>
        <xs:maxInclusive value ="4294967294"></xs:maxInclusive>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>

  <xs:element name="LR">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="Interfaces">
          <xs:annotation>
            <xs:documentation>Line rate table</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice minOccurs="0" maxOccurs="unbounded">
              <xs:element name="Interface">
                <xs:annotation>
                  <xs:documentation>Row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" type="base:NameAndIndexUnion" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Interface index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Direction" type="Lr_Direction" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Apply direction</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="CIR" type="Lr_TokenPare" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>CIR in kbps</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="CBS" type="Lr_TokenPare" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>CBS in bytes</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="EBS" type="Lr_TokenPare" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>EBS in bytes</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="PIR" type="Lr_TokenPare" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>PIR in kbps</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
      </xs:choice>
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>
  </xs:element>
</xs:schema>